<?php

	include "./include/dal/class_dal.phps";

	/**
	 * First create a new object of the class DAL
	 */
	$foo = new dal;
	
	/**
	 * Second select the driver we want to use
	 * (in this case the postgres driver)
	 */
	$foo->selectDriver("mysql");
	//$foo->selectDriver("postgres");
	//$foo->selectDriver("msql");


	if (!$foo->selectConfiguration("conf1")) {
	  echo "<p>$foo->lastError";
	}
	/**
	 * Select database test
	 * If anything goes wrong echo the error message.
	 */
	if (!$foo->selectDatabase("admin_panel")) {
	  echo $foo->lastError;
	}


$query = "SELECT *  FROM admins ";
	echo "<h1> Fetching stuff </h1>";
	
	
	if (!$foo->executeQuery($query )) {
		echo $foo->lastError;
	}
	
	
	
	else {
	  echo "<h3> Fetching an associative array </h3>";
		$bar = $foo->fetchArray();
		echo "<p>";
		var_dump($bar);

		echo "<h3> Fetching an enumerated array </h3>";
		$bar = $foo->fetchRow();
		echo "<p>";
		var_dump($bar);
		echo "<h3> Fetching an enumerated array </h3>";
		$bar = $foo->fetchRow();
		echo "<p>";
		var_dump($bar);

		echo "<h3> Fetching an object </h3>";
		$bar = $foo->fetchObject();
		echo "<p>";
		var_dump($bar);
	}


	$foo->destroy();


	function myErrorHandler($errormessage)
	{
		echo "<p>Custom error: $errormessage";
	}

?>


