﻿<?php

	/**
	 * Configuration for the debugger object
	 *
	 * @package extensions
	 * @subpackage debugger
	 */
class debugConfiguration {

	var $globalFilename;
	var $globalFilePath;
	var $tmpFilePath;
	var $waitTime;
	var $tries;
	var $dumpResult;

	var $queryHook;
	var $selectDBHook;
	var $transactionHook;
	var $final;

	function debugConfiguration()
	{
		$this->initialize();
		$this->includeMessages();
	}

	function initialize()
	{
		$this->queryHook = true;
		$this->selectDBHook = true;
		$this->transactionHook = true;
		$this->final = true;

		$this->tries = 10;
		$this->waitTime = 1;
		$this->globalFilename = 'dal_debug_log';
		$this->globalFilePath = '/tmp/';
		$this->tmpFilePath = '/tmp/';
		$this->dumpResult = false;
		$this->language = 'english';
	}

 function includeMessages()
 {
		 include_once("debugger/lang/$this->language.inc");
 }



}

?>

