<?php

	class speedForm
	{
	
		/*  SpeedForm Version 1.0 , By: Saad Zaki , CairoIT
		*
		*---@formInfo, the formInfo array contains the form info
		*	it consists of the following:
		*		[0] -> name			[name] -> name
		*		[1] -> id			[id] -> id
		*		[2] -> action		[action] -> action
		*		[3] -> method		[method] -> method
		*		[4] -> target		[target] -> target
		*		[5] -> enctype		[enctype] -> enctype
		*		[6] -> itemcount 	[item_count] -> itemcount  from item count
		*		[7] -> onsubmit  	[onsubmit] -> onsubmit 		javascript function run onsubmit the form
		*	our testing parameter array will be like follows:
		*	$formInfo = array("name" => "test_from1","id" => "test_form1","action" => "",
		                "method" => "POST","target" => "_self","enctype" => "multipart/form-data",
		                "itemcount" => "10","onsubmit" => "javascript:alert('form submitted done .');");
		*
		*
		*---@formData, the formData array contains the form Items data
		*	it consists of the following:
		*		[0] -> label
		*		[1] -> type				take values { text,button,checkbox,file,hidden,image,password,radio,reset,submit,textarea,fieldset,legend,customitem}
		*		[2] -> name
		*		[3] -> id
		*		[4] -> value
		*		[5] -> align
		*		[6] -> readonly   
		*		[7] -> class   
		*		[8] -> alt   
		*		[9] -> tabindex   
		*		[10] -> disabled   
		*		[11] -> size
		*		[12] -> maxlength   
		*		[13] -> checked   		for checkbox only
		*		[14] -> maxfilesize   	for file input only
		*		[15] -> src				for images tag only   
		*		[16] -> dir				for textarea   
		*		[17] -> selected		for input select only   
		*		[18] -> lang			for fieldset
		*		[19] -> fitemcount		for fieldset
		*		[20] -> innertext		for textarea,legend,
		*		[21] -> vtype			validate type take values {num,alpha,alphanum,float,notblank,email,url)
		*		[21] -> script			javascript with action that put in input tags
		*		[22] -> accept			for file input only to specifies thr file types that accepts


		*	our testing parameter array will be like follows:
		*	$formInfo = array("name" => "test_from1","id" => "test_form1","action" => "test4.php",
		                "method" => "POST","target" => "_self","enctype" => "multipart/form-data",
		                "item_count" => "10","onsubmit" => "javascript:alert('form submitted done .');")
		*
		*/
		var $formInfo = array();
		var $formData = array();
		var $fstag= array();
//---------------------------------------------------------------------------------------------------------------------------		
		
		/*
		*
		*	echoForm Function
		*
		*/

		function echoForm()
		{
		//print_r($this->formInfo);print_r($this->formData);
			if(!isset($this->formInfo["method"]) || !isset($this->formInfo["itemcount"]) || count($this->formData) != $this->formInfo["itemcount"] ){
				echo 'Invaild  Parameters ( method or itemcount ) in speedform please check your Code !';
				echo 'the formData count='.count($this->formData).'  and item count in formInfo'.$this->formInfo["itemcount"];
			}
			else { 			
			echo '<form name="'.$this->formInfo["name"].'" id="'.$this->formInfo["id"].'" action="'.$this->formInfo["action"].'" method="'.$this->formInfo["method"].'" target="'.$this->formInfo["target"].'" enctype="'.$this->formInfo["action"].'" onsubmit="'.$this->formInfo["onsubmit"].'" >';
			
			for ($i=0 ; $i<$this->formInfo["itemcount"] ; $i++){
				$citem = $this->formData[$i];
				if($citem["type"]=="fieldset" || $citem["type"]=="legend" || $citem["type"]=="hidden" ){
				switch ($citem["type"]) {
					case "fieldset":
						$this->sFieldset($i);
    					break;
					case "legend":
					    $this->sLegend($i);
    					break;
					case "hidden":
					    $this->sHidden($i);
    					break;
					}
				}else {
				echo ''."\n".'<div id="id'.$i.'" class="item">'."\n".'<div class="labels">'.$this->formData[$i]["label"].'</div><div class="fields">'."\n".'';
				//------------  switch input type   --------------
				
				switch ($citem["type"]) {
					case "text":
					    $this->sText($i);
    					break;
					case "button":
					    $this->sButton($i);
    					break;
					case "buttongroup":
					    $this->sButtongroup($i);
    					break;
					case "file":
					    $this->sFile($i);
    					break;
					case "image":
					    $this->sImage($i);
    					break;
					case "password":
					    $this->sPassword($i);
    					break;
					case "checkbox":
					    $this->sCheckbox($i);
    					break;
					case "radio":
					    $this->sRadio($i);
    					break;
					case "select":
					    $this->sSelect($i);
    					break;
					case "reset":
					    $this->sReset($i);
    					break;
					case "submit":
					    $this->sSubmit($i);
    					break;
					case "textarea":
					    $this->sTextarea($i);
    					break;
					case "customitem":
					    $this->sCustomitem($i);
    					break;

				}			//----------- end switch input type --------------
				echo ''."\n".'<div id="errorid'.$i.'" class="error">Error in this field</div></div></div>';
				}			// --- end of if type = filedset or legend
				//print_r($this->fstag);
				if($this->fstag[$i]== 1 ){
					echo'</fieldset>';
				}
			}				// end of for $i
				
			echo ''."\n".'</form>';
			}				// end of if valid form
		} 					// end of echoForm function



		/*
		*	fieldset tag
		*/
		function sFieldset($i)
		{
			$item = $this->formData[$i];// print_r($item);
			if(!isset($item["fitemcount"]) ){
				echo 'Invaild  Parameters ( fitemcount  ) in speedform->fieldset number('.$i.') please check your Code !';
			}
			else {
			echo'<fieldset  id="'.$item["id"].'" dir="'.$item["dir"].'" class="'.$item["class"].'"  '.$item["script"].' >';
			$this->fstag[$i+$item["fitemcount"]]=1;
			}
		}
		//-------  end sFieldset function


		/*
		*	legend  tag
		*/
		function sLegend($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["innertext"]) ){
				echo 'Invaild  Parameters ( innertext  ) in speedform->legend number('.$i.') please check your Code !';
			}
			else {
			echo'<legend align="'.$item["align"].'" class="'.$item["class"].'"  '.$item["script"].' >'.$item["innertext"].'</legend>';
			}
		}
		//-------  end sFieldset function

		/*
		*	Textbox input tag
		*/
		function sText($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["name"]) ){
				echo 'Invaild  Parameters ( name ) in speedform->textfield number('.$i.') please check your Code !';
			}
			else {
			echo'<input type="text" id="'.$item["id"].'" name="'.$item["name"].'" value="'.$item["value"].'" align="'.$item["algin"].'" '.$item["readonly"].' class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' size="'.$item["size"].'" maxlength="'.$item["maxlength"].'"  '.$item["script"].'  />';
			}
		}
		//-------  end sText function

		/*
		*	password input tag
		*/
		function sPassword($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["name"]) ){
				echo 'Invaild  Parameters ( name ) in speedform->Password number('.$i.') please check your Code !';
			}
			else {
			echo'<input type="password" id="'.$item["id"].'" name="'.$item["name"].'" value="'.$item["value"].'" align="'.$item["algin"].'" '.$item["readonly"].' class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' size="'.$item["size"].'" maxlength="'.$item["maxlength"].'"  '.$item["script"].'  />';
			}
		}
		//-------  end sPassword function
		
		/*
		*	hidden input tag
		*/
		function sHidden($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["name"]) ){
				echo 'Invaild  Parameters ( name ) in speedform->Hidden number('.$i.') please check your Code !';
			}
			else {
			echo'<input type="hidden" id="'.$item["id"].'" name="'.$item["name"].'" value="'.$item["value"].'" align="'.$item["algin"].'" '.$item["readonly"].' class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' size="'.$item["size"].'" maxlength="'.$item["maxlength"].'"  />';
			}
		}
		//-------  end sHidden function

		/*
		*	Textarea input tag
		*/
		function sTextarea($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["name"]) ){
				echo 'Invaild  Parameters ( name ) in speedform->textarea number('.$i.') please check your Code !';
			}
			else {
				if($item["editor"]){
					i
					
					
									
				}else{  // else no editor
				echo'<textarea id="'.$item["id"].'" name="'.$item["name"].'" align="'.$item["algin"].'" '.$item["readonly"].' class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' size="'.$item["size"].'" maxlength="'.$item["maxlength"].'" cols="'.$item["cols"].'" rows="'.$item["rows"].'" dir="'.$item["dir"].'"  lang="'.$item["lang"].'"   wrap="'.$item["warp"].'" '.$item["script"].' >'.$item["value"].'</textarea>';
				}
			}
		}
		//-------  end sTextarea function
		

		/*
		*	Button input tag
		*/
		function sButton($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["value"]) ){
				echo 'Invaild  Parameters ( value ) in speedform->button number('.$i.') please check your Code !';
			}
			else {
			echo'<input type="button" id="'.$item["id"].'" name="'.$item["name"].'" value="'.$item["value"].'" align="'.$item["algin"].'" class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' dir="'.$item["dir"].'"  '.$item["script"].' />';
			
			}
		}
		//-------  end sButton function


		/*
		*	Buttongroup input tag
		*/
		function sButtongroup($i)
		{
			$item = $this->formData[$i];
			if(count($item["boxs"])<2 ){
				echo 'Invaild  Parameters ( value ) in speedform->buttongroup number('.$i.') please check your Code !';
			}
			else {
			for ($i=0 ; $i<count($item["boxs"]); $i++){
			echo'<div  class="multibutton"><input type="'.$item["boxs"][$i]["type"].'" id="'.$item["boxs"][$i]["id"].'" name="'.$item["boxs"][$i]["name"].'" value="'.$item["boxs"][$i]["value"].'" align="'.$item["boxs"][$i]["algin"].'" class="'.$item["boxs"][$i]["class"].'" alt="'.$item["boxs"][$i]["alt"].'" tabindex="'.$item["boxs"][$i]["tabindex"].'" '.$item["boxs"][$i]["disabled"].' dir="'.$item["boxs"][$i]["dir"].'"  '.$item["boxs"][$i]["script"].' /></div>';
			}
			}
		}
		//-------  end sButtongroup function

		/*
		*	Reset input tag
		*/
		function sReset($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["value"]) ){
				echo 'Invaild  Parameters ( value ) in speedform->reset number('.$i.') please check your Code !';
			}
			else {
			echo'<input type="reset" id="'.$item["id"].'" name="'.$item["name"].'" value="'.$item["value"].'" align="'.$item["algin"].'" class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' dir="'.$item["dir"].'"  '.$item["script"].' />';
			
			}
		}
		//-------  end sReset function

		/*
		*	Submit input tag
		*/
		function sSubmit($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["value"]) ){
				echo 'Invaild  Parameters ( value ) in speedform->submit number('.$i.') please check your Code !';
			}
			else {
			echo'<input type="submit" id="'.$item["id"].'" name="'.$item["name"].'" value="'.$item["value"].'" align="'.$item["algin"].'" class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' dir="'.$item["dir"].'"  '.$item["script"].' />';
			
			}
		}
		//-------  end sSubmit function

		/*
		*	File input tag
		*/
		function sFile($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["name"]) ){
				echo 'Invaild  Parameters ( name ) in speedform->File number('.$i.') please check your Code !';
			}
			else {
			echo'<input type="file" id="'.$item["id"].'" name="'.$item["name"].'" value="'.$item["value"].'" accept="'.$item["accept"].'" align="'.$item["algin"].'" class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' dir="'.$item["dir"].'"  '.$item["script"].' />';
			
			}
		}
		//-------  end sFile function


		/*
		*	Checkbox input tag
		*/
		function sCheckbox($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["name"]) ){
				echo 'Invaild  Parameters ( name ) in speedform->Checkbox number('.$i.') please check your Code !';
			}
			else {
				for ($i=0 ; $i<count($item["boxs"]); $i++){
					echo'<div  class="multilabel"><input type="checkbox" id="'.$item["id"].$i.'" name="'.$item["name"].'[]" value="'.$item["boxs"][$i]["value"].'" align="'.$item["algin"].'" class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' '.$item["script"].' '.$item["boxs"][$i]["checked"].' /><label for="'.$item["id"].$i.'">'.$item["boxs"][$i]["label"].'</label></div>';
				}// end for i
			}   // end else if
		}
		//-------  end sCheckbox function
	
		/*
		*	Radio input tag
		*/
		function sRadio($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["name"]) ){
				echo 'Invaild  Parameters ( name ) in speedform->Radio number('.$i.') please check your Code !';
			}
			else {
				for ($i=0 ; $i<count($item["boxs"]); $i++){
					echo'<div  class="multilabel"><input type="radio" id="'.$item["id"].$i.'" name="'.$item["name"].'" value="'.$item["boxs"][$i]["value"].'" align="'.$item["algin"].'" class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' '.$item["script"].' '.$item["boxs"][$i]["checked"].' /><label for="'.$item["id"].$i.'">'.$item["boxs"][$i]["label"].'</label></div>';
				}// end for i
			}   // end else if
		}
		//-------  end sRadio function
		
		
		/*
		*	Select input tag
		*/
		function sSelect($i)
		{
			$item = $this->formData[$i];
			if(!isset($item["name"]) ){
				echo 'Invaild  Parameters ( name ) in speedform->Select number('.$i.') please check your Code !';
			}
			else {
			if($item["multiple"])$item_name=$item["name"].'[]';else $item_name=$item["name"];
			echo '<select  id="'.$item["id"].'" name="'.$item_name.'" align="'.$item["algin"].'" class="'.$item["class"].'" alt="'.$item["alt"].'" tabindex="'.$item["tabindex"].'" '.$item["disabled"].' '.$item["script"].' size="'.$item["size"].'" '.$item["multiple"].'>';
				for ($i=0 ; $i<count($item["boxs"]); $i++){
					echo'
					<option value="'.$item["boxs"][$i]["value"].'" '.$item["boxs"][$i]["selected"].'>'.$item["boxs"][$i]["label"].'</option>';
				}// end for i
				echo '</select>';
			}   // end else if
		}
		//-------  end sSelect function
		
		
		
			
}// -------  end class
?>